#==SIZE MANAGER PLUS==
An old Risk of Rain 2 mod brought back to modern times with a few extra additions!
This mod allows you to resize characters in varying ways using the heavily-customisable configuration file.
You can even have the size of characters change on the fly!
##FEATURES
- Configurable resizing for certain conditions.
- Not constrained to certain sizes; be as specific as you want to be. 75%? 133.333%? Up to you.
- Adjustable size cap, or even the option to remove it entirely.
- Safely stops anything from being smaller than 0.1%.
- Supports applying NPC size modifications to players that are on the monster team.
- Allows size to also affect the statistics of characters (e.g. more max life, more damage...).
==NEW WITH 2.0==
- Resize on the fly; grow (or shrink) as you collect items and/or level up.
- Bigger eyes see further; the bigger you are, the larger your camera's field of view becomes.
##INSTALLATION (Without mod manager)
1. Install [BepInEx](https://thunderstore.io/package/bbepis/BepInExPack/) and [R2API](https://thunderstore.io/package/tristanmcpherson/R2API/) if you haven't already, for some reason.
2. Install this mod in __Steam/SteamApps/common/Risk Of Rain 2/BepInEx/plugins/__.
3. Run the game and see if it works!
##CONTACT (Need help with a problem?)
[Steam](https://steamcommunity.com/id/squishyghost)
[Discord](https://discord.gg/vyskeEp)
##CONFIGURATION
==Camera==
- __sizeCamera__ [Boolean] : true : If true, the camera will scale alongside the player's size.
==Dynamic Size==
- __dynamicSize__ [Boolean] : false : If true, enables features which scale the size of entities on the fly.
- __sizeLeveling__ [Boolean] : false : If true, size is influenced by the level of the character.
- __sizeLevelingMinimum__ [Integer] : 1 : The character's level must be equal to or greater than this number first before size shifting.
- __sizeLevelingIncrement__ [Float] : 0.04 : % of size added per level above the minimum requirement.
- __sizeInventory__ [Boolean] : false : If true, the character's inventory items, excluding equipment and items of no tier, affect size.
- __sizeTier1__ [Float] : 0.01 : % of size added per white item carried.
- __sizeTier2__ [Float] : 0.03 : % of size added per green item carried.
- __sizeTier3__ [Float] : 0.09 : % of size added per red item carried.
- __sizeTierB__ [Float] : 0.03 : % of size added per yellow item carried.
- __sizeTierL__ [Float] : -0.02 : % of size added per blue item carried.
- __sizeTier1Scrap__ [Float] : 0 : % of size added per white scrap carried.
- __sizeTier2Scrap__ [Float] : 0 : % of size added per green scrap carried.
- __sizeTier3Scrap__ [Float] : 0 : % of size added per red scrap carried.
- __sizeTierBScrap__ [Float] : 0 : % of size added per yellow scrap carried.
- __sizePearl__ [Float] : 0.02 : % of size added per pearl carried.
- __sizeShinyPearl__ [Float] : 0.05 : % of size added per irradiant pearl carried.
- __sizeItemCount__ [Float] : 0 : % of size added per item of all tiers carried.
==Limitation==
- __sizeCapEnabled__ [Boolean] : true : If true, the size of any character cannot exceed the size cap value.
- __sizeCap__ [Float] : 10 : The size cap at which characters cannot get any larger.
- __sizeCapFormulas__ [Boolean] : true : If true, the size cap also applies to stat scaling.
==Size Modifiers==
- __baseSize__ [Float] : 1 : The base size for all characters, players and NPCs alike.
- __sizePlayer__ [Float] : 1.3 : Size multiplier for friendly players.
- __sizeAlly__ [Float] : 1.1 : Size multiplier for friendly NPCs.
- __sizeMonster__ [Float] : 1.3 : Size multiplier for hostile players & hostile NPCs.
- __sizeBoss__ [Float] : 1.15 : Size multiplier for boss hostiles.
- __sizeElite__ [Float] : 1.2 : Additional size multiplier for elite hostiles.
- __sizeChampion__ [Float] : 1.4 : Additional size multiplier for Teleporter hostiles.
- __sizeChampionBoss__ [Float] : 1.2 : Additional size multiplier for Teleporter boss hostiles.
==Statistic Modifiers==
- __healthScaling__ [Integer] : 0 : Scales max health alongside size. 0 - off / 1 - linear scaling / 2 - exponential scaling
- __damageScaling__ [Integer] : 0 : Scales damage alongside size. 0 - off / 1 - linear scaling / 2 - exponential scaling
- __armourScaling__ [Integer] : 0 : Scales armour alongside size. 0 - off / 1 - linear scaling / 2 - exponential scaling
- __speedScaling__ [Integer] : 0 : Scales movement speed alongside size. 0 - off / 1 - realistic (multiply) / 2 - inverse (divide)
- __jumpScaling__ [Integer] : 0 : Scales jump height alongside size. 0 - off / 1 - realistic (multiply) / 2 - inverse (divide)
- __hasteScaling__ [Integer] : 0 : Scales attack speed alongside size. 0 - off / 1 - realistic (divide) / 2 - inverse (multiply)
- __multiplierStrength__ [Float] : 1 : Strength of the multiplier used in linear scaling.
- __exponentStrength__ [Float] : 1.3 : Strength of the exponent used in exponential scaling.
=====
You must launch the game with this mod installed at least once to generate the configuration file.
##CREDITS
__Magnus__ : Assistance with error fixing, motivated me to learn as well!
__Ryan Pallesen__ : Original creator of this mod.
__Jarlyk__ : Assistance with v2.0.0.
__iDeathHD__ : Assistance with v2.0.0.
__mries92__ : Assistance with v2.0.1 (somewhat).
#CHANGELOG
__2.0.2__ : Actually fixed size scaling with leveling this time.
__2.0.1__ : Fixed incorrect size scaling with leveling, fixed error with monsters not increasing in size when both dynamic systems were active, raised default size cap to 10.
__2.0.0__ : Added dynamic scaling, added camera scaling.
__1.0.0__ : Initial release.